# IWithdrawalManagerStorage

[Git Source](https://github.com/isle-labs/isle-contract/blob/main/contracts/interfaces/IWithdrawalManagerStorage.sol)

## Functions

### latestConfigId

Gets the id of the latest config.

```solidity
function latestConfigId() external view returns (uint256 configId_);
```

**Returns**

| Name        | Type      | Description                  |
| ----------- | --------- | ---------------------------- |
| `configId_` | `uint256` | The id of the latest config. |

### exitCycleId

Gets the exit cycle id of an account.

```solidity
function exitCycleId(address account_) external view returns (uint256 cycleId_);
```

**Parameters**

| Name       | Type      | Description                 |
| ---------- | --------- | --------------------------- |
| `account_` | `address` | The address of the account. |

**Returns**

| Name       | Type      | Description               |
| ---------- | --------- | ------------------------- |
| `cycleId_` | `uint256` | The id of the exit cycle. |

### lockedShares

Gets the locked shares of an account.

```solidity
function lockedShares(address account_) external view returns (uint256 lockedShares_);
```

**Parameters**

| Name       | Type      | Description                 |
| ---------- | --------- | --------------------------- |
| `account_` | `address` | The address of the account. |

**Returns**

| Name            | Type      | Description                                    |
| --------------- | --------- | ---------------------------------------------- |
| `lockedShares_` | `uint256` | The amount of locked shares under the account. |

### totalCycleShares

Gets the total locked shares of a cycle.

```solidity
function totalCycleShares(uint256 cycleId_) external view returns (uint256 totalCycleShares_);
```

**Parameters**

| Name       | Type      | Description          |
| ---------- | --------- | -------------------- |
| `cycleId_` | `uint256` | The id of the cycle. |

**Returns**

| Name                | Type      | Description                                        |
| ------------------- | --------- | -------------------------------------------------- |
| `totalCycleShares_` | `uint256` | The total amount of locked shares under the cycle. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.isle.finance/contract-documentation/interfaces/iwithdrawalmanagerstorage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
